From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 7 September 2006<P>

lovecraft, about <a href="/blend/wv.cgi?id=2006.09.06.01.46.4301">A Blatant Little Statement</a>:<BR>
 <BR>
<BR>
what you have to do is just stepped out of the closet<BR>
and flaunt your real beauty, then proceed with your destiny.<BR>
<BR>
world might be cruel but not all of the people surrounding 'em.<BR>
<BR>
frienship is not enough, but loyalty is. <BR>
<BR>
ciao!
<HR>
From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 7 September 2006<P>

lovecraft, about <a href="/blend/wv.cgi?id=2006.09.06.01.46.4301">A Blatant Little Statement</a>:<BR>
 <BR>
<BR>
what you have to do is just step out of the closet<BR>
and flaunt your real beauty, then proceed with your destiny.<BR>
<BR>
world might be cruel but not all of the people surrounding 'em.<BR>
<BR>
frienship is not enough, but loyalty is. <BR>
<BR>
ciao!
<HR>
From: <a href="/blend/av.cgi?id=1754">lovecraft</a><BR>
Date: 7 September 2006<P>

 Annski808, by step out of the closet do you mean homosexuality? I don't know if that was your intention but you did make me re-read "A Blatant Little Statement" and it does in fact almost seem as if it is a statement about someone who's uncomfortable with their sexuality, and the title alone kind of adds to that. I never looked at one of my own writings in a different perspective than what it was meant to be, and that makes it all the more interesting. I think it could be interpreted in more than one way now that I look at it. However, I was meaning for it to just be more of the traditional "boy likes girl more than friends" thing. I don't know if anybody else interpreted it opposite of my original view but I cerainly can now see how you could.
<HR>